Skip to content

Overview

  • Version: 2.0.0
  • Servers: https://store.xsolla.com/api
  • Contact Us by Email
  • Contact URL: https://xsolla.com/
  • Required TLS version: 1.2

Shop Builder API provides a third-party solution for implementing the server side for your store interface. Use the endpoints to manage in-game items, in-game currencies, cart, player inventory, promotions, game library, etc.

Download OpenAPI description
Languages
Servers
Mock server
https://xsolla.redocly.app/_mock/api/shop-builder/
https://store.xsolla.com/api/
Operations

Personalized catalog

This API allows to specify rules for user attributes. If the user meets all conditions for a concrete rule, personalized items will be shown.

For personalized promotions see Promotions section.

To pass attributes before a purchase, you can use Xsolla Login API or pass them into user.attributes property while generating token using Pay Station API.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Catalog

This API allows getting any kind of sellable items or specific item.

Operations
Operations
Operations
Operations
Operations
Operations

Coupons

This API allows to you to manage coupons.

Operations

Promo codes

This API allows to manage promo codes.

Operations

Unique catalog offers

This API allows to you to manage unique catalog offers.

Operations

Discounts

This API allows to you to manage discount promotions.

Operations

Bonuses

This API allows to manage bonus promotions.

Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations

Request

Creates an upsell for a project.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
Bodyapplication/json
One of:

Upsell type.

typestringrequired
Value"fixed_list"
Example: true
is_enabledboolean(is_enabled)required
Example: true
itemsArray of stringsrequired

Array of items SKU.

Default null
Example: ["game_sku"]
curl -i -X POST \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/admin/items/upsell \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "is_enabled": true,
    "type": "fixed_list",
    "items": [
      "game_sku_1",
      "game_sku_2",
      "game_sku_3"
    ]
  }'

Responses

Upsell has been created for the project.

Response
No content

Request

Update an upsell for a project.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
Bodyapplication/json
One of:

Upsell type.

typestringrequired
Value"fixed_list"
Example: true
is_enabledboolean(is_enabled)required
Example: true
itemsArray of stringsrequired

Array of items SKU.

Default null
Example: ["game_sku"]
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/admin/items/upsell \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "is_enabled": true,
    "type": "fixed_list",
    "items": [
      "game_sku_1",
      "game_sku_2",
      "game_sku_3"
    ]
  }'

Responses

Upsell has been updated for the project.

Response
No content

Activate/Deactivate project's upsellServer-sideAdmin

Request

Changes an upsell’s status in a project to be either active or inactive.

Security
XsollaLoginUserJWT
Path
project_idintegerrequired

Project ID. You can find this parameter in your Publisher Account next to the name of the project.

Example: 44056
togglestringrequired

Activation status.

Example: activate
curl -i -X PUT \
  https://xsolla.redocly.app/_mock/api/shop-builder/v2/project/44056/admin/items/upsell/activate \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

An upsell in a project was activated or deactivated.

Response
No content
Operations
Operations